net.corda.core.node

## Class CityDatabase

- net.corda.core.node.CityDatabase

-     public class CityDatabase

  A simple lookup table of city names to their coordinates. Lookups are case insensitive.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CityDatabase` | `INSTANCE` A simple lookup table of city names to their coordinates. Lookups are case insensitive.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PhysicalLocation` | `get(java.lang.String name)`

- - ### Field Detail

    - #### INSTANCE

          public static CityDatabase INSTANCE

      A simple lookup table of city names to their coordinates. Lookups are case insensitive.

  - ### Method Detail

    - #### get

          public PhysicalLocation get(java.lang.String name)